// Library		libSOCK - Machine independent Socket I/O functions.
// File:		_libsock.h
// Description: Private headers.
// Author(s):	TECMAV srl - av/cb
// L.M. Date:	04-Dec-2003 (22:50:17)



#define TCP_BASERR  90 				// Per routine "s_error()"
#define SOC_BASERR 119
#define HND_T	void				// Tipo dei signal handler.


// Codici "errno" generati dalla libreria. Vedi tabella "soc_err" e routine
// "s_error()" , file s_error.c.

#define SOC_NUMERR   1							// Num. di errno privati.
#define BAD_HOSTNAME	 SOC_BASERR

#include <stdio.h>
#include <termios.h>
#include <signal.h>

#ifdef Os_QNX  
#define SOCKL_T	socklen_t
#include <unistd.h>
#include <string.h>
#include <errno.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <strings.h>
#endif

#ifdef Os_Linux 
#define SOCKL_T	socklen_t
#include <unistd.h>
#include <string.h>
#include <errno.h>
#include <sys/socket.h>
#include <netinet/in.h>
#endif

#ifdef Os_RTEMS 
#define SOCKL_T	int
#include <unistd.h>
#include <string.h>
#include <errno.h>
#include <sys/socket.h>
#include <sys/select.h>
#include <netinet/in.h>
#endif

#ifdef Os_FreeBSD
#define SOCKL_T	socklen_t
#define SET_ADDR_LEN(S)
#include <unistd.h>
#include <string.h>
#include <errno.h>
#include <sys/param.h>
#include <sys/socket.h>
#include <sys/select.h>
#include <netinet/in.h>
#endif

#include <netdb.h>
#include "libCML.h"
#include "libSOCK.h"
