// Library		libSOCK - Machine independent Socket I/O functions.
// File:		SOCK_HAddr.c
// Function:	SOCK_HAddr
// Description: Returns the IP address of the host or 0 if the host
// 				doesn't exist (in the local database).
// Author(s):	TECMAV srl - av/cb
// L.M. Date:	26-Apr-2003 (23:03:00)

#include "_libsock.h"

int SOCK_HAddr(char *hostn)
{
  
	union
	{
		int i;
		struct
		{
			char a;
			char b;
			char c;
			char d;
		}b;
	}
	u1, u2;

	struct sockaddr_in	soc;
	struct hostent 		*h;

    h = gethostbyname (hostn);
    if (!h) return (-1);
	bcopy (h->h_addr, &soc.sin_addr, h->h_length);
    u1.i = soc.sin_addr.s_addr;


	if (u1.i == ntohl(u1.i))
		return (u1.i);
	else
	{
		u2.b.a = u1.b.d;
		u2.b.b = u1.b.c;
		u2.b.c = u1.b.b;
		u2.b.d = u1.b.a;
		return(u2.i);
	}
}
