// Library		libSOCK - Machine independent Socket I/O functions.
// File:		SOCK_Tout.c
// Function:	SOCK_Tout
// Description:	Set / Get of the internal timeout value.
// Author(s):	TECMAV srl - av/cb
// L.M. Date:	04-Dec-2003 (23:03:06)


#include "_libsock.h"

static char *V = "@(#)libSOCK: 1.1  4-Dec-03"
#ifdef EXCELAN
" EXC"
#endif
#ifdef LACHMAN
" LACH"
#endif
#ifdef ULachman
" ULach"
#endif
#ifdef ULACHMAN
" ULACH"
#endif
#ifdef HPUX_8_0
" HPUX_8_0"
#endif
#ifdef Os_Linux
" Linux"
#endif
#ifdef DEBUG
" DEB"
#endif
" TECMAV srl";


static int privRTT = 2;


int SOCK_GetTout(void)	{ return(privRTT); }

int SOCK_SetTout(int tout)
{
	int t;

	V[0] = '@';						// Anti warning.

	t   = privRTT;
	if (tout > 0) privRTT = tout;
	return(t);
}
